//
//  MatchFaceViewController.m
//  EKDemo
//
//  Created by jinkeke@techshino.com on 16/3/3.
//  Copyright © 2016年 www.techshino.com. All rights reserved.
//

#import "MatchFaceViewController.h"
#import "EKFaceAPI.h"

@interface MatchFaceViewController ()
@property (weak, nonatomic) IBOutlet UILabel *matchResut;

@end

@implementation MatchFaceViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = @"人脸比对示例";

    
    //http://www.eyekey.com/images/demo/LiBingbing/2.jpg
    //http://www.eyekey.com/images/demo/YangMi/2.jpg
//    [EKFaceAPI checkingFaceInfoWithImgUrl:@"http://www.eyekey.com/images/demo/YangMi/2.jpg" complete:^(id JSON, NSError *error) {
//        NSLog(@"%@",JSON);
//    }];
}

//比对
- (IBAction)matchFaceAction:(id)sender {
    
    UIButton *sBtn = (UIButton *)sender;
    sBtn.enabled = NO;
    //faceid 通过调用checking 接口获取
    [EKFaceAPI matchCompareWithParms:@{@"face_id1":@"97c9de81b764497ca7a10cc118637fd0",@"face_id2":@"b3056b4f553e4032a3c3ae7a2fdfe2d0"} complete:^(id JSON, NSError *error) {
        
        if (error) {
            self.matchResut.text = @"比对失败！服务器通讯错误！";
        }else
        {
            NSLog(@"%@",JSON);
            self.matchResut.text = [self DataTOjsonString:JSON];
        }
        
        sBtn.enabled = YES;
        
    }];
}

-(NSString*)DataTOjsonString:(id)object
{
    NSString *jsonString = nil;
    NSError *error;
    NSData *jsonData = [NSJSONSerialization dataWithJSONObject:object
                                                       options:NSJSONWritingPrettyPrinted // Pass 0 if you don't care about the readability of the generated string
                                                         error:&error];
    if (! jsonData) {
        NSLog(@"Got an error: %@", error);
    } else {
        jsonString = [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
    }
    return jsonString;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
